emacs-bug-tracker
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

bug#70473: closed ([PATCH] tests: fix stdin tests)


From: GNU bug Tracking System
Subject: bug#70473: closed ([PATCH] tests: fix stdin tests)
Date: Fri, 19 Apr 2024 15:53:04 +0000

Your message dated Fri, 19 Apr 2024 08:52:12 -0700
with message-id <d0118039-fa95-4bfe-ac24-dc3ff0ee9d1c@cs.ucla.edu>
and subject line Re: [bug-diffutils] bug#70473: [PATCH] tests: fix stdin tests
has caused the debbugs.gnu.org bug report #70473,
regarding [PATCH] tests: fix stdin tests
to be marked as done.

(If you believe you have received this mail in error, please contact
help-debbugs@gnu.org.)


-- 
70473: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=70473
GNU Bug Tracking System
Contact help-debbugs@gnu.org with problems
--- Begin Message --- Subject: [PATCH] tests: fix stdin tests Date: Fri, 19 Apr 2024 17:37:04 +0530
Hi,

I noticed that in the tests/stdin directory, we were taking input directly from the 'd' directory, which seems incorrect.

tests/stdin:31 diff -u - a <d >out 2>err || fail=1

I'm not sure how the tests were working with input directly from the 'd' directory. I'm including a patch which fixes it.


Thanks,
Tanmay

From 021148712cb01efb954e9c1a6961b2df9cdfcf04 Mon Sep 17 00:00:00 2001
From: Tanmay Patil <tanmaynpatil105@gmail.com>
Date: Fri, 19 Apr 2024 17:20:39 +0530
Subject: [PATCH] tests: fix stdin tests

Signed-off-by: Tanmay Patil <tanmaynpatil105@gmail.com>
---
 tests/stdin | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/tests/stdin b/tests/stdin
index 0fd9e7e..dda076b 100755
--- a/tests/stdin
+++ b/tests/stdin
@@ -24,7 +24,7 @@ compare /dev/null err || fail=1
 mkdir d || framework_failure_
 echo a >d/a || framework_failure_
 
-diff -u - a <d >out 2>err || fail=1
+diff -u - a <d/a >out 2>err || fail=1
 compare /dev/null out || fail=1
 compare /dev/null err || fail=1
 
--
2.40.1


--- End Message ---
--- Begin Message --- Subject: Re: [bug-diffutils] bug#70473: [PATCH] tests: fix stdin tests Date: Fri, 19 Apr 2024 08:52:12 -0700 User-agent: Mozilla Thunderbird
On 2024-04-19 05:07, Tanmay wrote:
I noticed that in the tests/stdin directory, we were taking input directly
from the 'd' directory, which seems incorrect.

tests/stdin:31 diff -u - a <d >out 2>err || fail=1

I don't see a bug there. In general 'diff DIRECTORY FILE' acts like 'diff DIRECTORY/FILE FILE'; here 'diff - a <d' acts like 'diff d/a a'.


--- End Message ---

reply via email to

[Prev in Thread] Current Thread [Next in Thread]